# cli-calculator

Calculator with various formulas for common and uncommon problems.

---

## Goal

My goal for this project is to write an open sourced mathmatical library for C along with a cli math calculator. 

---

## List of calculators

- Hypotenuse calculator (a²+b²=c²)
- Area of a circle (πr²)
- Matrix arithmetics (2-D arrays)
    - Determinant of 2*2 matrix
    - Scalar multiplication
    - Matrix addition

---

## Future additions

- Matrix arithmetics (2-D arrays)
    - Matrix multiplication
    - Determinant of n*n matrix
    - Matrix support for none integer numbers
- Derivative
- Integral
- Area
    - Area of a triangle
    - Area of a quadralateral
- Peremeter
    - Peremeter of a triangle
    - Peremeter of a quadralateral
    - Circumference of a circle